Loading...
Searching...
No Matches
Dune::CommPolicy< CommMatrixSparsityPattern< M, I > > Struct Template Reference

`#include <dune/istl/matrixredistribute.hh>`

## Public Types

typedef CommMatrixSparsityPattern< M, I > | Type
typedef I::GlobalIndex | IndexedType
| The indexed type we send. This is the global index indentitfying the column.
typedef VariableSize | IndexedTypeFlag
| Each row varies in size.

## Static Public Member Functions

static M::size_type | getSize (const Type &t, std::size_t i)

## Member Typedef Documentation

## IndexedType

template<class M, class I>

typedef I::GlobalIndex Dune::CommPolicy< CommMatrixSparsityPattern< M, I > >::IndexedType

The indexed type we send. This is the global index indentitfying the column.

## IndexedTypeFlag

template<class M, class I>

typedef VariableSize Dune::CommPolicy< CommMatrixSparsityPattern< M, I > >::IndexedTypeFlag

Each row varies in size.

## Type

template<class M, class I>

typedef CommMatrixSparsityPattern<M,I> Dune::CommPolicy< CommMatrixSparsityPattern< M, I > >::Type

## Member Function Documentation

## getSize()

template<class M, class I>

M::size_type Dune::CommPolicy< CommMatrixSparsityPattern< M, I > >::getSize | ( | const Type & | t,
|  | std::size_t | i )

inline static

The documentation for this struct was generated from the following file:

- matrixredistribute.hh